RNAlib-2.2.9

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Suboptimal structures according to Zuker et al. 1989
RNA Secondary Structure Prediction » Enumerating Suboptimal Structures
Collaboration diagram for Suboptimal structures according to Zuker et al. 1989:

## Functions
vrna_subopt_solution_t * | vrna_subopt_zuker (vrna_fold_compound_t *vc)
| Compute Zuker type suboptimal structures. More...
SOLUTION * | zukersubopt (const char *string)
| Compute Zuker type suboptimal structures. More...
SOLUTION * | zukersubopt_par (const char *string, vrna_param_t *parameters)
| Compute Zuker type suboptimal structures. More...

## Detailed Description

## Function Documentation

vrna_subopt_solution_t* vrna_subopt_zuker | ( | vrna_fold_compound_t * | vc | ) |

`#include <ViennaRNA/subopt.h>`

Compute Zuker type suboptimal structures.

Compute Suboptimal structures according to M. Zuker [21] , i.e. for every possible base pair the minimum energy structure containing the resp. base pair. Returns a list of these structures and their energies.

Note
  This function internally uses the cofold implementation to compute the suboptimal structures. For that purpose, the function doubles the sequence and enlarges the DP matrices, which in fact will grow by a factor of 4 during the computation! At the end of the structure prediction, everything will be re-set to its original requriements, i.e. normal sequence, normal (empty) DP matrices.

Bug:
  Due to resizing, any pre-existing constraints will be lost!

See also
  vrna_subopt(), zukersubopt(), zukersubopt_par()

Parameters

  vc | fold compound

Returns
  List of zuker suboptimal structures

SOLUTION* zukersubopt | ( | const char * | string | ) |

`#include <ViennaRNA/subopt.h>`

Compute Zuker type suboptimal structures.

Compute Suboptimal structures according to M. Zuker, i.e. for every possible base pair the minimum energy structure containing the resp. base pair. Returns a list of these structures and their energies.

Deprecated:
  use vrna_zukersubopt() instead

Parameters

  string | RNA sequence

Returns
  List of zuker suboptimal structures

SOLUTION* zukersubopt_par | ( | const char * | string,
|  | vrna_param_t * | parameters
| ) |  |

`#include <ViennaRNA/subopt.h>`

Compute Zuker type suboptimal structures.

Deprecated:
  use vrna_zukersubopt() instead